package firefox 3.6.12 build1 nobinonly-0ubuntu0.10.04.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Bug #668809 reported by oldwierdal on 2010-10-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox

Ubuntu version;
"You are using Ubuntu 10.04 LTS - the Lucid Lynx - released in April 2010 and supported until April 2013."
Updates are done using Update Manager.
What happens;
Since installing Lucid Lynx, Firefox updates/upgrades always install what SHOULD be /usr/bin/firefox as /usr/bin/firefix.ubuntu. Of course, the update manager then declares this error.
Solution work-around;
I learned, early on, that if I simply rename (as root) /usr/bin/firefox.ubuntu to /usr/bin/firefox , firefox then works as expected.
True, this is a simple step, but it is an added step that should not be necessary.
I have not been able to determine a cause for this, nor a solution to it other than renaming as I described above.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: firefox 3.6.12+build1+nobinonly-0ubuntu0.10.04.1
ProcVersionSignature: Ubuntu 2.6.32-25.45-generic 2.6.32.21+drm33.7
Uname: Linux 2.6.32-25-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri Oct 29 18:06:07 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 2
FirefoxPackages:
 firefox 3.6.12+build1+nobinonly-0ubuntu0.10.04.1
 firefox-gnome-support N/A
 firefox-branding 3.6.12+build1+nobinonly-0ubuntu0.10.04.1
 abroswer N/A
 abrowser-branding N/A
SourcePackage: firefox
Title: package firefox 3.6.12+build1+nobinonly-0ubuntu0.10.04.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

oldwierdal (owaugly) wrote :
Chris Coulson (chrisccoulson) wrote :

This is because you have used Ubuntuzilla in the past, which has broken your installation. Ubuntuzilla is not supported by us, and we strongly discourage users from using it (for this reason - we get a lot of broken installations because of them).

Please report your bug to Ubuntuzilla instead

Changed in firefox (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 4.0~b12+build1+nobinonly-0ubuntu2

---------------
firefox (4.0~b12+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Fix some typos in the manpage
    - update debian/firefox.1.in
  * Fix up the mess left by Ubuntuzilla rather than leaving our official
    package in a broken and inconsistent state, which ends up with users
    reporting bugs to Launchpad and giving us a bad reputation. If
    /usr/bin/firefox has been diverted and there is no /usr/bin/firefox
    provided on the system, just do the job of whatever package it was that
    broke the users install and remove the diversion for them. This should
    hopefully stop the frequently reported bugs we get from Ubuntuzilla users
    about /usr/bin/firefox being missing
    - update debian/firefox.postinst.in
    - Fixes LP: #512937, LP: #529136, LP: #552919, LP: #572733, LP: #574111,
      LP: #599978, LP: #600271, LP: #610522, LP: #610756, LP: #610907,
      LP: #612162, LP: #620400, LP: #623980, LP: #625014, LP: #630643,
      LP: #635166, LP: #638342, LP: #641838, LP: #658828, LP: #668809,
      LP: #672282, LP: #676239, LP: #707704, LP: #724090
  * Don't allow users to report bugs with apport-bug when /usr/bin/firefox
    has been diverted
    - update debian/firefox.py.in
  * Don't build with --disable-elfhack on armel. It's been fixed now
    - update debian/rules
 -- Chris Coulson <email address hidden> Fri, 25 Feb 2011 13:54:59 +0000

Changed in firefox (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers